Get node storage

Prev Next

Available in VPC

Get storage information for a Cloud Data Streaming cluster node.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/cluster/getBlockStorage/{computeInstanceNo}
Method URI
POST /api/v1/cluster/getBlockStorage/{computeInstanceNo} (Korea Region)
POST /api/sgn-v1/cluster/getBlockStorage/{computeInstanceNo} (Singapore Region)
POST /api/jpn-v1/cluster/getBlockStorage/{computeInstanceNo} (Japan Region)

Request headers

For information on headers commonly used in the Cloud Data Streaming APIs, see Cloud Data Streaming request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
computeInstanceNo String Required Node instance ID

Request example

The request example is as follows:

curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getBlockStorage/1037*****\
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code Integer - Response code
message String - Response message
result Object - Response result
result.blockStorageList Array - Storage list
result.blockStorageList.regionCode Array - Region code
result.blockStorageList.zoneCode Array - Zone code
result.blockStorageList.hypervisorType Array - Hypervisor type
result.blockStorageList.hypervisorType.code Array - Hypervisor code
result.blockStorageList.blockStorageType Array - Block storage type
result.blockStorageList.blockStorageType.code Array - Block storage type code
result.blockStorageList.blockStorageVolumeType Array - Block storage volume type
result.blockStorageList.blockStorageVolumeType.code Array - Block storage volume type code
result.blockStorageList.blockStorageSize Array - Block storage size
result.blockStorageList.maxIopsThroughput Integer - Maximum IOPS
  • Meaningful values are assigned only for SSDs.
result.blockStorageList.isEncryptedVolume Boolean - Volume encryption status
  • true | false
result.blockStorageList.serverInstanceNo String - Instance number of the node server to which block storage is assigned
result.blockStorageList.blockStorageInstanceNo String - Block storage instance number
result.blockStorageList.blockStorageName String - Block storage name
result.blockStorageList.createDate String - Block storage creation date and time (YYYY-MM-DDThh:mm:ssZ format)
requestId String - ID for the request
  • UUID format

Response status codes

For information about the response status codes common to all Search Engine Service APIs, see Search Engine Service response status codes.

Response example

The response example is as follows:

{
  "code": 0,
  "message": "SUCCESS",
  "result": {
    "blockStorageList": [
      {
        "regionCode": "KR",
        "zoneCode": "KR-1",
        "hypervisorType": {
          "code": "KVM"
        },
        "blockStorageType": {
          "code": "SVRBS"
        },
        "blockStorageVolumeType": {
          "code": "CB1"
        },
        "blockStorageSize": 107374182400,
        "maxIopsThroughput": null,
        "isEncryptedVolume": false,
        "serverInstanceNo": "100******0",
        "blockStorageInstanceNo": "100*****33",
        "blockStorageName": "b19******c09",
        "createDate": "2026-08-11T18:18:44+0900"
      },
      {
        "regionCode": "KR",
        "zoneCode": "KR-1",
        "hypervisorType": {
          "code": "KVM"
        },
        "blockStorageType": {
          "code": "BASIC"
        },
        "blockStorageVolumeType": {
          "code": "CB1"
        },
        "blockStorageSize": 53687091200,
        "maxIopsThroughput": null,
        "isEncryptedVolume": false,
        "serverInstanceNo": "100******0",
        "blockStorageInstanceNo": "100******31",
        "blockStorageName": "*****hf-d-1fyl",
        "createDate": "2026-08-11T18:18:44+0900"
      }
    ]
  },
  "requestId": "b14****0c-60**-4**1-9eb4-55******2758"
}